Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebSettings.FontSize

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.webkit.QWebSettings.FontSize

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWebSettings

    public static final class QWebSettings.FontSize

extends java.lang.Enum
implements QtEnumerator

This enum describes the font sizes configurable through `QWebSettings`.

See Also:
  Serialized Form

Field Summary
`static QWebSettings.FontSize` | `DefaultFixedFontSize` The default font size for fixed-pitch text.
`static QWebSettings.FontSize` | `DefaultFontSize` The default font size for regular text.
`static QWebSettings.FontSize` | `MinimumFontSize` The hard minimum font size.
`static QWebSettings.FontSize` | `MinimumLogicalFontSize` The minimum logical font size that is applied after zooming with `QWebFrame`'s textSizeMultiplier().

Method Summary
`static QWebSettings.FontSize` | `resolve(int value)` Returns the QWebSettings$FontSize constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWebSettings.FontSize` | `valueOf(java.lang.String name)`
`static QWebSettings.FontSize[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MinimumFontSize

    public static final QWebSettings.FontSize MinimumFontSize

  The hard minimum font size.

### MinimumLogicalFontSize

    public static final QWebSettings.FontSize MinimumLogicalFontSize

  The minimum logical font size that is applied after zooming with `QWebFrame`'s textSizeMultiplier().

### DefaultFontSize

    public static final QWebSettings.FontSize DefaultFontSize

  The default font size for regular text.

### DefaultFixedFontSize

    public static final QWebSettings.FontSize DefaultFixedFontSize

  The default font size for fixed-pitch text.

Method Detail

### values

    public static QWebSettings.FontSize[] values()

### valueOf

    public static QWebSettings.FontSize valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWebSettings.FontSize resolve(int value)

  Returns the QWebSettings$FontSize constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD